Unit tis02r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, IS02R_p;

function tis02r: String;

implementation

function tis02r: String;
var
N,I,_i,IERR :Integer;
PI,PI2,H :Real;
X :Array [0..8] of Real;
U :Array [0..8] of Real;
P :Array [0..8] of Real;
Y :Array [0..8] of Real;
Y2 :Array [0..8] of Real;
DX :Array [0..7] of Real;
E :Array [0..1] of Real;
R :Array [0..53] of Real;
label
_1;
begin
Result := '';  {   }
PI := 3.141592;
PI2 := 2*PI;
N := 9;
H := PI2/(N-1);
X[0] := 0.0;
U[0] := 0.0;
P[0] := 1.0;
for I:=2 to N do
 begin
  X[I-1] := X[I-2]+H;
  U[I-1] := Sin(X[I-1]);
  P[I-1] := 1.0;
_1:
 end;
IS02R(N,X,U,P,Y,Y2,DX,E,R,IERR);
Result := Result + Format('%5d ',[IERR]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 8 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 8 do
 begin
  Result := Result + Format('%20.16f ',[Y2[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 7 do
 begin
  Result := Result + Format('%20.16f ',[DX[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[E[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tis02r',Result);  {     tis02r.res }
exit;
end;

end.
